---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Returns details for a single product variant. Reference for the GET
    /shops/{shop_id}/variants/{id} endpoint in the Bolder API v1.
sidebar:
  label: Variant details
  badge: GET
title: Variant details
type: openapi-operation
---
Returns details for a single product variant.

`GET /shops/{shop_id}/variants/{id}`

**Responses**

- `200` — Variant resource
- `404` — Resource not found

Response example, 200:

```json
{
  "id": 0,
  "title": "string",
  "position": 0,
  "sku": "string",
  "price": 0,
  "price_comparison": 0,
  "stock": 0,
  "available_if_no_stock": true,
  "weight_in_grams": 0,
  "_links": {}
}
```
